<div class="country_select_container"> 
	<div 
		class="country_select_input" 
		ng-class="{'is_invalid_country':$ctrl.invalid}"
		ng-keydown="$ctrl.keyPress($event)"
		ng-click="$ctrl.dropdown_toggle()"
		tabindex="0"> 
		<p style="margin:8px 0 0 8px" class="ng-binding"> 
			<span class="flag-icon flag-icon-{{$ctrl.data.default.code.toLowerCase()}}"></span> {{$ctrl.data.default.name || '-Select-'}} 
		</p> 
	</div> 
	<ul ng-if="$ctrl.is_visible" click-outside="$ctrl.close()">
		<!-- <li>
			<input type="text" ng-model="$ctrl.keywords">
		</li> -->
		<!-- <li class="li-spacer"></li> -->
		<li ng-repeat="country in $ctrl.data.countries | filter: $ctrl.keywords" ng-click="$ctrl.onValueChanged( country )" ng-keydown="$ctrl.select($event,country)" tabindex="0">
			<span class="flag-icon flag-icon-{{country.code.toLowerCase()}}"> </span> &nbsp;{{country.name}}
		</li>
	</ul>
</div>
<div class="invalid-feedback" style="display: block" ng-if="$ctrl.invalid"> Select Country </div>